## org.biojava.utils
Class ChangeVetoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.NestedException
                  org.biojava.utils.ChangeVetoException

All Implemented Interfaces:
  java.io.Serializable

public class ChangeVetoException
extends NestedException

Exception which is thrown when a ChangeListener does not wish a change to take place.

Since:
  1.1
Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`ChangeVetoException()`
`ChangeVetoException(ChangeEvent change)` Construct an exception to veto a change without explanation.
`ChangeVetoException(ChangeEvent change, java.lang.String reason)` Construct an exception to veto a change for a specified reason.
`ChangeVetoException(java.lang.Exception ex, ChangeEvent change)` Propogate an exception without (additional) explanation.
`ChangeVetoException(java.lang.Exception ex, ChangeEvent change, java.lang.String reason)` Propogate an exception, giving a detail message
`ChangeVetoException(java.lang.Exception ex, java.lang.String reason)` Propogate an exception, giving a detail message
`ChangeVetoException(java.lang.String reason)` Create an exception with a detail message

Method Summary
`ChangeEvent` `getChangeEvent()` Return the ChangeEvent which is being vetoed.

Methods inherited from class org.biojava.utils.NestedException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeVetoException

    public ChangeVetoException()

### ChangeVetoException

    public ChangeVetoException(ChangeEvent change)

  Construct an exception to veto a change without explanation.

Parameters:
  `change` - An event which is being vetoed.

### ChangeVetoException

    public ChangeVetoException(java.lang.String reason)

  Create an exception with a detail message

Parameters:
  `reason` - A detail message.

### ChangeVetoException

    public ChangeVetoException(ChangeEvent change,
                               java.lang.String reason)

  Construct an exception to veto a change for a specified reason.

Parameters:
  `change` - An event which is being vetoed.
  `reason` - A detail message.

### ChangeVetoException

    public ChangeVetoException(java.lang.Exception ex,
                               ChangeEvent change)

  Propogate an exception without (additional) explanation.

Parameters:
  `ex` - A parent exception
  `change` - An event which is being vetoed.

### ChangeVetoException

    public ChangeVetoException(java.lang.Exception ex,
                               java.lang.String reason)

  Propogate an exception, giving a detail message

Parameters:
  `ex` - A parent exception
  `reason` - A detail message.

### ChangeVetoException

    public ChangeVetoException(java.lang.Exception ex,
                               ChangeEvent change,
                               java.lang.String reason)

  Propogate an exception, giving a detail message

Parameters:
  `ex` - A parent exception
  `change` - An event which is being vetoed.
  `reason` - A detail message.

Method Detail

### getChangeEvent

    public ChangeEvent getChangeEvent()

  Return the ChangeEvent which is being vetoed.

  Returns:
    The ChangeEvent value